# TaskContainer

Extends

Abstract interface for objects which can contain tasks (targets) Used to check if a class can contain tasks (via instanceof)

author | Andreas Aderhold andi@binarycloud.com
copyright | 2001,2002 THYRELL. All rights reserved
package | phing

### Methods

## Adds a task to this task container. Must be implemented by derived class

    addTask(\Task $task)

### Arguments

#### $task

`\Task`

The task to be added to the container.